> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/collective-invoice-run.md).

# Collective Invoice Run

Start and cancel collective invoice runs in VARIO Cloud, selecting accounts and delivery documents with filters, variables, IDs, and due dates.

Collective invoice runs.

## POST /erp/documents/additional-functions/collective-invoice-runs

> Start the background job for creating a collective invoice run

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"CollectiveInvoiceRun","description":"Collective invoice runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/documents/additional-functions/collective-invoice-runs":{"post":{"tags":["CollectiveInvoiceRun"],"summary":"Start the background job for creating a collective invoice run","operationId":"startRun","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-SalesMultiCollectiveInvoiceRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"422":{"description":"invalid request (e.g. Periodicity MANUAL or missing)","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-SalesMultiCollectiveInvoiceRequest":{"properties":{"accountVariables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"accountQueryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"accountIdsToIgnore":{"type":"array","description":"Identifiers of the accounts to ignore (after the template resolution).","items":{"type":"integer","format":"int64","description":"Identifiers of the accounts to ignore (after the template resolution)."}},"accountIdsToAdd":{"type":"array","description":"Identifiers of the accounts to process explicitly. When set, predicate and variables are not evaluated.","items":{"type":"integer","format":"int64","description":"Identifiers of the accounts to process explicitly. When set, predicate and variables are not evaluated."}},"deliveryDocumentVariables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"deliveryDocumentQueryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"dueDate":{"type":"string","format":"date","description":"Cut-off date of the run. Only accounts whose Customer#dueDateSchedule.dueDate is less than or equal to this date are processed."}},"required":["dueDate"]},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## POST /erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve

> Cancel the collective invoice run

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"CollectiveInvoiceRun","description":"Collective invoice runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve":{"post":{"tags":["CollectiveInvoiceRun"],"summary":"Cancel the collective invoice run","operationId":"dissolve","parameters":[{"name":"runId","in":"path","description":"collective invoice run identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"422":{"description":"run already processed or already canceled","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/collective-invoice-run.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
